%def_disable static
%define iname guile
%set_libtool_version 1.5

Summary:	A GNU implementation of Scheme for application extensibility.
Name:		%{iname}16
Version:	1.6.8
Release:	alt5
Serial:		1
License:	GPL
Group:		Development/Other
Url:		http://www.gnu.org/software/guile/

BuildPreReq:    libltdl3-devel

# Automatically added by buildreq on Fri Apr 25 2008
BuildRequires: gcc-c++ libncurses-devel libreadline-devel

Requires:	%name = %serial:%version-%release
Obsoletes:	%iname <= 1.4.1
Provides:	%iname = %serial:%version-%release
Provides:	/usr/bin/guile

Packager: Alexey Voinov <voins@altlinux.ru>

Source:		%iname-%version.tar
Source1:	%name.alternatives

Patch1:		%iname-%version-mdk-64.patch
Patch2:         %iname-%version-alt-threads.patch
Patch3:         %iname-%version-alt-eval.patch
Patch4:         %iname-%version-alt-srfi1.patch
Patch5:         %iname-%version-alt-buffer.patch
Patch6:         %iname-%version-alt-always-pthreads.patch

%add_findreq_skiplist %_datadir/%iname/1.6/scripts/*

%description
GUILE (GNU's Ubiquitous Intelligent Language for Extension) is a library
implementation of the Scheme programming language, written in C.  GUILE
provides a machine-independent execution platform that can be linked in
as a library during the building of extensible programs.

Install the guile package if you'd like to add extensibility to programs
that you are developing.  You'll also need to install the guile-devel
package.

%package devel
Summary:	A GNU implementation of Scheme for application extensibility.
Group:		Development/Other
Requires:	%name = %serial:%version-%release
Obsoletes:	%iname-devel <= 1.4.1
Provides:	%iname-devel = %serial:%version-%release
Conflicts:	guile14-devel

%description devel
GUILE (GNU's Ubiquitous Intelligent Language for Extension) is a library
implementation of the Scheme programming language, written in C.  GUILE
provides a machine-independent execution platform that can be linked in
as a library during the building of extensible programs.

Install this package if you are going to develop extendable programs.

%if_enabled static
%package devel-static
Summary:	A GNU implementation of Scheme for application extensibility.
Group:		Development/Other
Requires:	%name-devel = %serial:%version-%release
Obsoletes:	%iname-devel-static <= 1.4.1
Provides:	%iname-devel-static = %serial:%version-%release

%description devel-static
GUILE (GNU's Ubiquitous Intelligent Language for Extension) is a library
implementation of the Scheme programming language, written in C.  GUILE
provides a machine-independent execution platform that can be linked in
as a library during the building of extensible programs.

Install this package if you need to statically link your program with guile.
%endif

%prep
%setup -q -n %iname-%version
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
aclocal -Iguile-config
autoconf
%configure --with-threads %{subst_enable static}
export LD_LIBRARY_PATH=`pwd`/libguile-ltdl/.libs
%make

%install
export LD_LIBRARY_PATH=$RPM_BUILD_ROOT%_libdir
make install DESTDIR=$RPM_BUILD_ROOT LDFLAGS=-L$RPM_BUILD_ROOT%_libdir
%__install -pD -m644 %SOURCE1 $RPM_BUILD_ROOT%_altdir/%name
mv $RPM_BUILD_ROOT%_bindir/%iname $RPM_BUILD_ROOT%_bindir/%name

%files
%_bindir/%name
%dir %_datadir/%iname
%dir %_datadir/%iname/1.6
%_libdir/lib*.so.*
%_libdir/lib%iname?*.so
%_datadir/%iname/1.6/*
%_altdir/%name

%files devel
%_bindir/%iname-snarf
%_bindir/%iname-config
%_bindir/%iname-tools
%_libdir/lib%iname.so
%ifarch %ix86
%_libdir/libqthreads.so
%endif
%_includedir/%iname/
%_includedir/lib%iname/
%_includedir/lib%iname.h
%_includedir/%iname-readline/
%_datadir/aclocal/*
%_datadir/info/*.info*

%if_enabled static
%files devel-static
%_libdir/lib*.a
%endif


%changelog
* Sun Jun 07 2009 Alexey Voinov <voins@altlinux.ru> 1:1.6.8-alt5
- bind to libtool1.5.
- removed obsolete macros

* Wed Sep 24 2008 Stanislav Ievlev <inger@altlinux.org> 1:1.6.8-alt4
- linking with pthread library on all architectures

* Sat May 03 2008 Alexey Voinov <voins@altlinux.ru> 1:1.6.8-alt3
- disabled devel-static subpackage by default
- post_ldconfig/postun_ldconfig

* Fri Apr 25 2008 Alexey Voinov <voins@altlinux.ru> 1:1.6.8-alt2
- accept won't block threads [#8706]
- take-right & drop-right works on dotted lists [#8836]
- protection from potential buffer overflow [#8313]
- aclocal/autoconf called to fetch correct macros for ltdl [#15398]
- buildreqs updated

* Fri Nov 17 2006 Stanislav Ievlev <inger@altlinux.org> 1:1.6.8-alt1.1
- improve "duplicate bindings" error message

* Tue Sep 26 2006 Alexey Voinov <voins@altlinux.ru> 1:1.6.8-alt1
- new version (1.6.8)
- obsolete patches removed
- sversion macro removed

* Wed Sep 20 2006 Alexey Voinov <voins@altlinux.ru> 1:1.6.7-alt3
- fixed compilation with gcc4x
- url updated

* Fri Dec 30 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1:1.6.7-alt2.1.1
- Rebuilt with libreadline.so.5.

* Mon Jul 11 2005 Anton D. Kachalov <mouse@altlinux.org> 1:1.6.7-alt2.1
- x86_64 support

* Wed Mar 23 2005 Alexey Voinov <voins@altlinux.ru> 1:1.6.7-alt2
- .unsigned patch added [fixes #6298]

* Wed Dec 22 2004 Alexey Voinov <voins@altlinux.ru> 1:1.6.7-alt1
- new version (1.6.7)

* Tue Dec 14 2004 Alexey Voinov <voins@altlinux.ru> 1:1.6.6-alt1
- new version (1.6.6)

* Thu Oct 19 2004 Alexey Voinov <voins@altlinux.ru> 1:1.6.5-alt1
- new version (1.6.5)
- removed deps on libtool-1.4
- removed build dep on self
- buildreq updated
- alternatives entry updated

* Tue Dec 02 2003 Alexey Voinov <voins@altlinux.ru> 1:1.6.4-alt4
- rebuilt without *.la

* Wed Oct 01 2003 Alexey Voinov <voins@altlinux.ru> 1:1.6.4-alt3
- now requires libtool_1.4
- fix buildreq
- guile-readline files included in devel subpackage

* Sun Jun 01 2003 Alexey Voinov <voins@voins.program.ru> 1:1.6.4-alt2
- threads support enabled.

* Thu May 08 2003 Alexey Voinov <voins@voins.program.ru> 1:1.6.4-alt1
- spec derived from guile-1.4
- new version
- support for alternatives.
- devel-static created.

* Mon Oct 21 2002 AEN <aen@altlinux.ru> 1:1.4-alt1
- Serial : 1

* Thu May 31 2001 AEN <aen@logic.ru> 1.4-ipl9mdk
- rebuild with new umb-schene package
- requires on new umb-scheme

* Fri Jan 05 2001 AEN <aen@logic.ru>
- adopted for RE

* Wed Nov 15 2000 Egil Moeller <redhog@mandrakesoft.com> 1.4-7mdk
- Bugworkaround around the flawed Makefile.

* Mon Sep 11 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.4-6mdk
- ooops wrong info file name.

* Mon Sep 11 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.4-5mdk
- finalized BM (Thanks Stefan).

* Fri Sep  8 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.4-4mdk
- removed menu entry.
- added a depency for guile-devel on guile with the same release.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.4-3mdk
- automatically added BuildRequires

* Fri Jul 21 2000 Pixel <pixel@mandrakesoft.com> 1.4-2mdk
- add provides libguile.so.6

* Tue Jul 11 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.4-1mdk
- 1.4

* Thu Mar 30 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.3.4-3mdk
- fix group

* Sun Nov  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- provides libguile.so.[15].

* Fri Nov 05 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- SMP build/check
- 1.3.4

* Tue Aug 31 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added macro %%{guilever} as apckage version is 1.3.2a but
  for paths, etc. it remains 1.2.3
- corrected %%files section (some libs weren't included)

* Thu Aug 26 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- -1.3.2a

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adaptations.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Wed Mar 17 1999 Michael Johnson <johnsonm@redhat.com>
- added .ansi patch to fix #endif

* Wed Feb 10 1999 Cristian Gafton <gafton@redhat.com>
- add patch for the scm stuff

* Sun Jan 17 1999 Jeff Johnson <jbj@redhat.com>
- integrate changes from rhcn version (#640)

* Tue Jan 12 1999 Cristian Gafton <gafton@redhat.com>
- call libtoolize first to get it to compile on the arm

* Sat Jan  9 1999 Todd Larason <jtl@molehill.org>
- Added "Requires: guile" at suggestion of Manu Rouat <emmanuel.rouat@wanadoo.fr>

* Fri Jan  1 1999 Todd Larason <jtl@molehill.org>
- guile-devel does depend on guile
- remove devel dependancy on m4
- move guile-snarf from guile to guile-devel
- Converted to rhcn

* Wed Oct 21 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.3.
- don't strip libguile.so.*.0.0. (but set the execute bits).

* Thu Sep 10 1998 Cristian Gafton <gafton@redhat.com>
- spec file fixups

* Wed Sep  2 1998 Michael Fulbright <msf@redhat.com>
- Updated for RH 5.2

* Mon Jan 26 1998 Marc Ewing <marc@redhat.com>
- Started with spec from Tomasz Koczko <kloczek@idk.com.pl>
- added slib link

* Thu Sep 18 1997 Tomasz Koczko <kloczek@idk.com.pl>          (1.2-3)
- added %%attr(-, root, root) for %%doc, 
- in %%post, %%postun ldconfig runed as parameter "-p",
- removed /bin/sh from requires,
- added %%description,
- changes in %%files.

* Fri Jul 11 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>  (1.2-2)
- all rewrited for using Buildroot,
- added %%postun,
- removed making buid logs,
- removed "--inclededir", added "--enable-dynamic-linking" to configure
  parameters,
- added striping shared libs and /usr/bin/guile,
- added "Requires: /bin/sh" (for guile-snarf) in guile package and
  "Requires: m4" for guile-devel,
- added macro %%{PACKAGE_VERSION} in "Source:" and %%files,
- added %%attr macros in %%files.
